List of Leaflet plugins
28/01/2017 14:30 - Philippe May

Status: Closed Start date: 28/01/2017
Priority: Normal Due date:

Assignee: Giulio Di Anastasio % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

List proposed by Giulio (by mail, put in this Redmine ticket for discussion).

First, i'd like to mention that loading plugins has a "cost":

- the more we add things, the heavier the application is

- more maintenance needed and more chances of bugs (plugins are usually developed by the community, and their quality varies, we
can observe that in virtually all softwares based on community effort).

So, usually, we should be on the careful side and only add plugins that have a good value for our needs.

For example, the scale: i added the default scale from Leaaflet, which doesn't look as good as the proposed plugin, but just might be
enough for our needs.

MARKERS

Leaflet.BeautifyMarkers

https://github.com/marslan390/BeautifyMarker

Leaflet. Awesome-Markers

https://github.com/lvoogdt/Leaflet.awesome-markers

Leaflet.Extra-Markers

https://github.com/coryasilva/Leaflet.ExtraMarkers

Leaflet.MakiMarkers

https://github.com/jseppi/L eaflet.MakiMarkers

Leaflet.lcon.Glyph

https://github.com/L eaflet/L eaflet.lcon.Glyph

leaflet-mapkey-icon

https://github.com/mapshakers/leaflet-mapkey-icon

PATTERNS

Leaflet.pattern

https://github.com/teastman/L eaflet.pattern

leaflet-polygon.fillPattern

https://github.com/cloudybay/leaflet-polygon-fillPattern
PHOTOS

Leaflet.Photo

http://turban.github.io/L eaflet.Photo/examples/picasa.htmi

MARKER CLUSTERS

Leaflet.markercluster

https://github.com/Leaflet/L eaflet. markercluster

CHARTS

leaflet-echarts

https://github.com/ecomfe/echarts

DRAWING

Leaflet.Editable

https://github.com/L eaflet/L eaflet.Editable

Leaflet.StyleEditor

https://github.com/dwilhelm89/L eaflet.StyleEditor

Leaflet.Path.Transform

https://github.com/w8r/L eaflet.Path. Transform

Leaflet.lllustrate

https://github.com/justinmanley/L eaflet.lllustrate

ELEVATION PROFILE

Leaflet.Elevation

https://github.com/MrMufflon/Leaflet.Elevation

POPUP

Leaflet.Rrose

http://erictheise.com/rrose/

leaflet-responsive-popup

https://github.com/yafred/leaflet-responsive-popup

SELECTIONS

leaflet-locationfilter

https://github.com/kajic/leaflet-locationfilter/
LAYERS

Leaflet.StyledLayerControl

https://github.com/davicustodio/Leaflet.StyledLayerControl

Leafet.LayerTreePlugin

https://github.com/bambrikii/leaflet-layer-tree-plugin

leaflet-hash
Plugin for persisting map state and browsing history through the URL hash.

https://github.com/mlevans/leaflet-hash

VISUALIZATION

Leaflet.fullscreen

https://github.com/L eaflet/L eaflet.fullscreen

Leaflet.CondensedAttribution

https://github.com/route360/Leaflet. CondensedAttribution

MEASURES

leaflet-measure

https://github.com/ljagis/leaflet-measure

leaflet-graphicscale

https://github.com/nerik/leaflet-graphicscale

COORDINATES

Leaflet Coordinates Control

https://github.com/zimmicz/L eaflet-Coordinates-Control

Leaflet.mouseCoordinates

https://github.com/PowerPan/leaflet. mouseCoordinate

History

#1 - 28/01/2017 14:31 - Philippe May
- Assignee set to Philippe May

#2 - 28/01/2017 14:33 - Philippe May

- Description updated

#3 - 28/02/2017 15:42 - Philippe May

leaflet-hash: that was very tricky and now implemented, but i cannot be sure if it's bug free (available in the test environment, i'll wait before putting it
in production due to the eventual presentation of tomorrow)
#4 - 01/03/2017 14:54 - Philippe May

Some comments:

- leaflet-measures: very big (more than 100kB). It overlaps quite a bit with Leaflet-draw too, maybe the latter can be extended?

- Leaflet.pattern and leaflet-polygon-fillPattern: not maintained recently, seems not compatible with leaflet 1.x. Also, it would probably be a lot of work
to use it for styling with patterns coming from QGis >-Hew-ROHMHO

Leaflet-photo does not seem to be maintained. Besides, integrating photos requires a lot more than

#5 - 26/02/2019 13:09 - Philippe May
- Status changed from New to Feedback

- Assignee changed from Philippe May to Giulio Di Anastasio

Cleaning my backlog of tickets: this one is deprecated since we're now using mapbox instead of leaflet.

Some of the features that these leaflet plugins provide might not be needed anymore, some could be added easily (eg. coordinates of point under the
mouse), or not, and should be treated as separate tickets.

I'm giving this ticket back to you, Giulio, for reviewing together these features: what's needed as of today, prioritize them, etc.

#6 - 26/02/2019 14:56 - Philippe May

Note that there are few plugins for mapbox (compared to leaflet), ie. https://github.com/mapbox/mapbox-gl-draw

#7 - 08/04/2019 10:02 - Giulio Di Anastasio
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
